/*
 * The Clear BSD License
 * Copyright 2017-2018 NXP
 * All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted (subject to the limitations in the disclaimer below) provided
 *  that the following conditions are met:
 *
 * o Redistributions of source code must retain the above copyright notice, this list
 *   of conditions and the following disclaimer.
 *
 * o Redistributions in binary form must reproduce the above copyright notice, this
 *   list of conditions and the following disclaimer in the documentation and/or
 *   other materials provided with the distribution.
 *
 * o Neither the name of the copyright holder nor the names of its
 *   contributors may be used to endorse or promote products derived from this
 *   software without specific prior written permission.
 *
 * NO EXPRESS OR IMPLIED LICENSES TO ANY PARTY'S PATENT RIGHTS ARE GRANTED BY THIS LICENSE.
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR
 * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
 * ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
/***********************************************************************************************************************
 * This file was generated by the MCUXpresso Config Tools. Any manual edits made to this file
 * will be overwritten if the respective MCUXpresso Config Tools is used to update this file.
 **********************************************************************************************************************/

#ifndef _PIN_MUX_H_
#define _PIN_MUX_H_

/***********************************************************************************************************************
 * Definitions
 **********************************************************************************************************************/

/*! @brief Direction type  */
typedef enum _pin_mux_direction
{
    kPIN_MUX_DirectionInput = 0U,        /* Input direction */
    kPIN_MUX_DirectionOutput = 1U,       /* Output direction */
    kPIN_MUX_DirectionInputOrOutput = 2U /* Input or output direction */
} pin_mux_direction_t;

/*!
 * @addtogroup pin_mux
 * @{
 */

/***********************************************************************************************************************
 * API
 **********************************************************************************************************************/

#if defined(__cplusplus)
extern "C" {
#endif

/*!
 * @brief Calls initialization functions.
 *
 */
void BOARD_InitBootPins(void);

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitPins(void);

#define PORT_DFER_DFE_0_MASK 0x01u /*!<@brief Digital Filter Enable Mask for item 0. */

/*! @name PORTA4 (coord L9), SW2
  @{ */
#define BOARD_SW2_PERIPHERAL GPIOA                  /*!<@brief Device name: GPIOA */
#define BOARD_SW2_SIGNAL GPIO                       /*!<@brief GPIOA signal: GPIO */
#define BOARD_SW2_GPIO GPIOA                        /*!<@brief GPIO device name: GPIOA */
#define BOARD_SW2_GPIO_PIN 4U                       /*!<@brief PORTA pin index: 4 */
#define BOARD_SW2_PORT PORTA                        /*!<@brief PORT device name: PORTA */
#define BOARD_SW2_PIN 4U                            /*!<@brief PORTA pin index: 4 */
#define BOARD_SW2_CHANNEL 4                         /*!<@brief GPIOA GPIO channel: 4 */
#define BOARD_SW2_PIN_NAME PTA4                     /*!<@brief Pin name */
#define BOARD_SW2_LABEL "SW2"                       /*!<@brief Label */
#define BOARD_SW2_NAME "SW2"                        /*!<@brief Identifier name */
#define BOARD_SW2_DIRECTION kPIN_MUX_DirectionInput /*!<@brief Direction */
                                                    /* @} */

/*! @name PORTD0 (coord A6), SW3
  @{ */
#define BOARD_SW3_PERIPHERAL GPIOD                  /*!<@brief Device name: GPIOD */
#define BOARD_SW3_SIGNAL GPIO                       /*!<@brief GPIOD signal: GPIO */
#define BOARD_SW3_GPIO GPIOD                        /*!<@brief GPIO device name: GPIOD */
#define BOARD_SW3_GPIO_PIN 0U                       /*!<@brief PORTD pin index: 0 */
#define BOARD_SW3_PORT PORTD                        /*!<@brief PORT device name: PORTD */
#define BOARD_SW3_PIN 0U                            /*!<@brief PORTD pin index: 0 */
#define BOARD_SW3_CHANNEL 0                         /*!<@brief GPIOD GPIO channel: 0 */
#define BOARD_SW3_PIN_NAME PTD0                     /*!<@brief Pin name */
#define BOARD_SW3_LABEL "SW3"                       /*!<@brief Label */
#define BOARD_SW3_NAME "SW3"                        /*!<@brief Identifier name */
#define BOARD_SW3_DIRECTION kPIN_MUX_DirectionInput /*!<@brief Direction */
                                                    /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitButtons(void);

/*! @name PORTA18 (coord N13), Y2[1]/EXTAL
  @{ */
#define BOARD_EXTAL0_PERIPHERAL OSC      /*!<@brief Device name: OSC */
#define BOARD_EXTAL0_SIGNAL EXTAL0       /*!<@brief OSC signal: EXTAL0 */
#define BOARD_EXTAL0_PORT PORTA          /*!<@brief PORT device name: PORTA */
#define BOARD_EXTAL0_PIN 18U             /*!<@brief PORTA pin index: 18 */
#define BOARD_EXTAL0_PIN_NAME EXTAL0     /*!<@brief Pin name */
#define BOARD_EXTAL0_LABEL "Y2[1]/EXTAL" /*!<@brief Label */
#define BOARD_EXTAL0_NAME "EXTAL0"       /*!<@brief Identifier name */
                                         /* @} */

/*! @name PORTA19 (coord M13), Y2[3]/XTAL
  @{ */
#define BOARD_XTAL0_PERIPHERAL OSC     /*!<@brief Device name: OSC */
#define BOARD_XTAL0_SIGNAL XTAL0       /*!<@brief OSC signal: XTAL0 */
#define BOARD_XTAL0_PORT PORTA         /*!<@brief PORT device name: PORTA */
#define BOARD_XTAL0_PIN 19U            /*!<@brief PORTA pin index: 19 */
#define BOARD_XTAL0_PIN_NAME XTAL0     /*!<@brief Pin name */
#define BOARD_XTAL0_LABEL "Y2[3]/XTAL" /*!<@brief Label */
#define BOARD_XTAL0_NAME "XTAL0"       /*!<@brief Identifier name */
                                       /* @} */

/*! @name XTAL32 (coord N5), Y1[1]/XTAL32_RTC
  @{ */
#define BOARD_XTAL32K_PERIPHERAL RTC           /*!<@brief Device name: RTC */
#define BOARD_XTAL32K_SIGNAL XTAL32            /*!<@brief RTC signal: XTAL32 */
#define BOARD_XTAL32K_PIN_NAME XTAL32          /*!<@brief Pin name */
#define BOARD_XTAL32K_LABEL "Y1[1]/XTAL32_RTC" /*!<@brief Label */
#define BOARD_XTAL32K_NAME "XTAL32K"           /*!<@brief Identifier name */
                                               /* @} */

/*! @name EXTAL32 (coord N6), Y1[2]/EXTAL32_RTC
  @{ */
#define BOARD_EXTAL32K_PERIPHERAL RTC            /*!<@brief Device name: RTC */
#define BOARD_EXTAL32K_SIGNAL EXTAL32            /*!<@brief RTC signal: EXTAL32 */
#define BOARD_EXTAL32K_PIN_NAME EXTAL32          /*!<@brief Pin name */
#define BOARD_EXTAL32K_LABEL "Y1[2]/EXTAL32_RTC" /*!<@brief Label */
#define BOARD_EXTAL32K_NAME "EXTAL32K"           /*!<@brief Identifier name */
                                                 /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitOSC(void);

/*! @name PORTE6 (coord E2), J1[7]/D1[1]/LEDRGB_RED
  @{ */
#define BOARD_LED_RED_PERIPHERAL GPIOE                   /*!<@brief Device name: GPIOE */
#define BOARD_LED_RED_SIGNAL GPIO                        /*!<@brief GPIOE signal: GPIO */
#define BOARD_LED_RED_GPIO GPIOE                         /*!<@brief GPIO device name: GPIOE */
#define BOARD_LED_RED_GPIO_PIN 6U                        /*!<@brief PORTE pin index: 6 */
#define BOARD_LED_RED_PORT PORTE                         /*!<@brief PORT device name: PORTE */
#define BOARD_LED_RED_PIN 6U                             /*!<@brief PORTE pin index: 6 */
#define BOARD_LED_RED_CHANNEL 6                          /*!<@brief GPIOE GPIO channel: 6 */
#define BOARD_LED_RED_PIN_NAME PTE6                      /*!<@brief Pin name */
#define BOARD_LED_RED_LABEL "J1[7]/D1[1]/LEDRGB_RED"     /*!<@brief Label */
#define BOARD_LED_RED_NAME "LED_RED"                     /*!<@brief Identifier name */
#define BOARD_LED_RED_DIRECTION kPIN_MUX_DirectionOutput /*!<@brief Direction */
                                                         /* @} */

/*! @name PORTE7 (coord E3), J1[15]/D1[4]/LEDRGB_GREEN
  @{ */
#define BOARD_LED_GREEN_PERIPHERAL GPIOE                   /*!<@brief Device name: GPIOE */
#define BOARD_LED_GREEN_SIGNAL GPIO                        /*!<@brief GPIOE signal: GPIO */
#define BOARD_LED_GREEN_GPIO GPIOE                         /*!<@brief GPIO device name: GPIOE */
#define BOARD_LED_GREEN_GPIO_PIN 7U                        /*!<@brief PORTE pin index: 7 */
#define BOARD_LED_GREEN_PORT PORTE                         /*!<@brief PORT device name: PORTE */
#define BOARD_LED_GREEN_PIN 7U                             /*!<@brief PORTE pin index: 7 */
#define BOARD_LED_GREEN_CHANNEL 7                          /*!<@brief GPIOE GPIO channel: 7 */
#define BOARD_LED_GREEN_PIN_NAME PTE7                      /*!<@brief Pin name */
#define BOARD_LED_GREEN_LABEL "J1[15]/D1[4]/LEDRGB_GREEN"  /*!<@brief Label */
#define BOARD_LED_GREEN_NAME "LED_GREEN"                   /*!<@brief Identifier name */
#define BOARD_LED_GREEN_DIRECTION kPIN_MUX_DirectionOutput /*!<@brief Direction */
                                                           /* @} */

/*! @name PORTE8 (coord E4), J1[13]/D1[3]/LEDRGB_BLUE
  @{ */
#define BOARD_LED_BLUE_PERIPHERAL GPIOE                   /*!<@brief Device name: GPIOE */
#define BOARD_LED_BLUE_SIGNAL GPIO                        /*!<@brief GPIOE signal: GPIO */
#define BOARD_LED_BLUE_GPIO GPIOE                         /*!<@brief GPIO device name: GPIOE */
#define BOARD_LED_BLUE_GPIO_PIN 8U                        /*!<@brief PORTE pin index: 8 */
#define BOARD_LED_BLUE_PORT PORTE                         /*!<@brief PORT device name: PORTE */
#define BOARD_LED_BLUE_PIN 8U                             /*!<@brief PORTE pin index: 8 */
#define BOARD_LED_BLUE_CHANNEL 8                          /*!<@brief GPIOE GPIO channel: 8 */
#define BOARD_LED_BLUE_PIN_NAME PTE8                      /*!<@brief Pin name */
#define BOARD_LED_BLUE_LABEL "J1[13]/D1[3]/LEDRGB_BLUE"   /*!<@brief Label */
#define BOARD_LED_BLUE_NAME "LED_BLUE"                    /*!<@brief Identifier name */
#define BOARD_LED_BLUE_DIRECTION kPIN_MUX_DirectionOutput /*!<@brief Direction */
                                                          /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitLEDs(void);

#define SOPT5_LPUART0RXSRC_LPUART_RX 0x00u /*!<@brief LPUART0 receive data source select: LPUART0_RX pin */
#define SOPT5_LPUART0TXSRC_LPUART_TX 0x00u /*!<@brief LPUART0 transmit data source select: LPUART0_TX pin */

/*! @name PORTC24 (coord B7), LPUART0_TX_TGTMCU
  @{ */
#define BOARD_DEBUG_UART_TX_PERIPHERAL LPUART0                 /*!<@brief Device name: LPUART0 */
#define BOARD_DEBUG_UART_TX_SIGNAL TX                          /*!<@brief LPUART0 signal: TX */
#define BOARD_DEBUG_UART_TX_PORT PORTC                         /*!<@brief PORT device name: PORTC */
#define BOARD_DEBUG_UART_TX_PIN 24U                            /*!<@brief PORTC pin index: 24 */
#define BOARD_DEBUG_UART_TX_PIN_NAME LPUART0_TX                /*!<@brief Pin name */
#define BOARD_DEBUG_UART_TX_LABEL "LPUART0_TX_TGTMCU"          /*!<@brief Label */
#define BOARD_DEBUG_UART_TX_NAME "DEBUG_UART_TX"               /*!<@brief Identifier name */
#define BOARD_DEBUG_UART_TX_DIRECTION kPIN_MUX_DirectionOutput /*!<@brief Direction */
                                                               /* @} */

/*! @name PORTC25 (coord A7), LPUART0_RX_TGTMCU
  @{ */
#define BOARD_DEBUG_UART_RX_PERIPHERAL LPUART0        /*!<@brief Device name: LPUART0 */
#define BOARD_DEBUG_UART_RX_SIGNAL RX                 /*!<@brief LPUART0 signal: RX */
#define BOARD_DEBUG_UART_RX_PORT PORTC                /*!<@brief PORT device name: PORTC */
#define BOARD_DEBUG_UART_RX_PIN 25U                   /*!<@brief PORTC pin index: 25 */
#define BOARD_DEBUG_UART_RX_PIN_NAME LPUART0_RX       /*!<@brief Pin name */
#define BOARD_DEBUG_UART_RX_LABEL "LPUART0_RX_TGTMCU" /*!<@brief Label */
#define BOARD_DEBUG_UART_RX_NAME "DEBUG_UART_RX"      /*!<@brief Identifier name */
                                                      /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitDEBUG_UART(void);

/*! @name PORTC29 (coord B6), U6[4]/I2C_SCL
  @{ */
#define BOARD_I2C_SCL_PERIPHERAL I2C3       /*!<@brief Device name: I2C3 */
#define BOARD_I2C_SCL_SIGNAL SCL            /*!<@brief I2C3 signal: SCL */
#define BOARD_I2C_SCL_PORT PORTC            /*!<@brief PORT device name: PORTC */
#define BOARD_I2C_SCL_PIN 29U               /*!<@brief PORTC pin index: 29 */
#define BOARD_I2C_SCL_PIN_NAME I2C3_SCL     /*!<@brief Pin name */
#define BOARD_I2C_SCL_LABEL "U6[4]/I2C_SCL" /*!<@brief Label */
#define BOARD_I2C_SCL_NAME "I2C_SCL"        /*!<@brief Identifier name */
                                            /* @} */

/*! @name PORTC28 (coord C6), U6[6]/I2C SDA
  @{ */
#define BOARD_I2C_SDA_PERIPHERAL I2C3       /*!<@brief Device name: I2C3 */
#define BOARD_I2C_SDA_SIGNAL SDA            /*!<@brief I2C3 signal: SDA */
#define BOARD_I2C_SDA_PORT PORTC            /*!<@brief PORT device name: PORTC */
#define BOARD_I2C_SDA_PIN 28U               /*!<@brief PORTC pin index: 28 */
#define BOARD_I2C_SDA_PIN_NAME I2C3_SDA     /*!<@brief Pin name */
#define BOARD_I2C_SDA_LABEL "U6[6]/I2C SDA" /*!<@brief Label */
#define BOARD_I2C_SDA_NAME "I2C_SDA"        /*!<@brief Identifier name */
                                            /* @} */

/*! @name PORTC26 (coord E6), U6[11]/INT1_FXOS8700CQ_R
  @{ */
#define BOARD_ACCEL_INT1_PERIPHERAL GPIOC                  /*!<@brief Device name: GPIOC */
#define BOARD_ACCEL_INT1_SIGNAL GPIO                       /*!<@brief GPIOC signal: GPIO */
#define BOARD_ACCEL_INT1_GPIO GPIOC                        /*!<@brief GPIO device name: GPIOC */
#define BOARD_ACCEL_INT1_GPIO_PIN 26U                      /*!<@brief PORTC pin index: 26 */
#define BOARD_ACCEL_INT1_PORT PORTC                        /*!<@brief PORT device name: PORTC */
#define BOARD_ACCEL_INT1_PIN 26U                           /*!<@brief PORTC pin index: 26 */
#define BOARD_ACCEL_INT1_CHANNEL 26                        /*!<@brief GPIOC GPIO channel: 26 */
#define BOARD_ACCEL_INT1_PIN_NAME PTC26                    /*!<@brief Pin name */
#define BOARD_ACCEL_INT1_LABEL "U6[11]/INT1_FXOS8700CQ_R"  /*!<@brief Label */
#define BOARD_ACCEL_INT1_NAME "ACCEL_INT1"                 /*!<@brief Identifier name */
#define BOARD_ACCEL_INT1_DIRECTION kPIN_MUX_DirectionInput /*!<@brief Direction */
                                                           /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitACCEL(void);

/*! @name PORTE2 (coord C1), U11[5]/QSPIA_DATA0
  @{ */
#define BOARD_QSPIA_DATA0_PERIPHERAL QuadSPI0        /*!<@brief Device name: QuadSPI0 */
#define BOARD_QSPIA_DATA0_SIGNAL DATA0               /*!<@brief QuadSPI0 signal: DATA0 */
#define BOARD_QSPIA_DATA0_PORT PORTE                 /*!<@brief PORT device name: PORTE */
#define BOARD_QSPIA_DATA0_PIN 2U                     /*!<@brief PORTE pin index: 2 */
#define BOARD_QSPIA_DATA0_CHANNEL A                  /*!<@brief QuadSPI0 DATA0 channel: A */
#define BOARD_QSPIA_DATA0_PIN_NAME QSPI0A_DATA0      /*!<@brief Pin name */
#define BOARD_QSPIA_DATA0_LABEL "U11[5]/QSPIA_DATA0" /*!<@brief Label */
#define BOARD_QSPIA_DATA0_NAME "QSPIA_DATA0"         /*!<@brief Identifier name */
                                                     /* @} */

/*! @name PORTE4 (coord E1), U11[2]/QSPIA_DATA1
  @{ */
#define BOARD_QSPIA_DATA1_PERIPHERAL QuadSPI0        /*!<@brief Device name: QuadSPI0 */
#define BOARD_QSPIA_DATA1_SIGNAL DATA1               /*!<@brief QuadSPI0 signal: DATA1 */
#define BOARD_QSPIA_DATA1_PORT PORTE                 /*!<@brief PORT device name: PORTE */
#define BOARD_QSPIA_DATA1_PIN 4U                     /*!<@brief PORTE pin index: 4 */
#define BOARD_QSPIA_DATA1_CHANNEL A                  /*!<@brief QuadSPI0 DATA1 channel: A */
#define BOARD_QSPIA_DATA1_PIN_NAME QSPI0A_DATA1      /*!<@brief Pin name */
#define BOARD_QSPIA_DATA1_LABEL "U11[2]/QSPIA_DATA1" /*!<@brief Label */
#define BOARD_QSPIA_DATA1_NAME "QSPIA_DATA1"         /*!<@brief Identifier name */
                                                     /* @} */

/*! @name PORTE3 (coord D1), U11[3]/QSPIA_DATA2
  @{ */
#define BOARD_QSPIA_DATA2_PERIPHERAL QuadSPI0        /*!<@brief Device name: QuadSPI0 */
#define BOARD_QSPIA_DATA2_SIGNAL DATA2               /*!<@brief QuadSPI0 signal: DATA2 */
#define BOARD_QSPIA_DATA2_PORT PORTE                 /*!<@brief PORT device name: PORTE */
#define BOARD_QSPIA_DATA2_PIN 3U                     /*!<@brief PORTE pin index: 3 */
#define BOARD_QSPIA_DATA2_CHANNEL A                  /*!<@brief QuadSPI0 DATA2 channel: A */
#define BOARD_QSPIA_DATA2_PIN_NAME QSPI0A_DATA2      /*!<@brief Pin name */
#define BOARD_QSPIA_DATA2_LABEL "U11[3]/QSPIA_DATA2" /*!<@brief Label */
#define BOARD_QSPIA_DATA2_NAME "QSPIA_DATA2"         /*!<@brief Identifier name */
                                                     /* @} */

/*! @name PORTE0 (coord A1), U11[7]/QSPIA_DATA3
  @{ */
#define BOARD_QSPIA_DATA3_PERIPHERAL QuadSPI0        /*!<@brief Device name: QuadSPI0 */
#define BOARD_QSPIA_DATA3_SIGNAL DATA3               /*!<@brief QuadSPI0 signal: DATA3 */
#define BOARD_QSPIA_DATA3_PORT PORTE                 /*!<@brief PORT device name: PORTE */
#define BOARD_QSPIA_DATA3_PIN 0U                     /*!<@brief PORTE pin index: 0 */
#define BOARD_QSPIA_DATA3_CHANNEL A                  /*!<@brief QuadSPI0 DATA3 channel: A */
#define BOARD_QSPIA_DATA3_PIN_NAME QSPI0A_DATA3      /*!<@brief Pin name */
#define BOARD_QSPIA_DATA3_LABEL "U11[7]/QSPIA_DATA3" /*!<@brief Label */
#define BOARD_QSPIA_DATA3_NAME "QSPIA_DATA3"         /*!<@brief Identifier name */
                                                     /* @} */

/*! @name PORTE1 (coord B1), U11[6]/QSPIA_SCLK
  @{ */
#define BOARD_QSPIA_SCLK_PERIPHERAL QuadSPI0       /*!<@brief Device name: QuadSPI0 */
#define BOARD_QSPIA_SCLK_SIGNAL SCLK               /*!<@brief QuadSPI0 signal: SCLK */
#define BOARD_QSPIA_SCLK_PORT PORTE                /*!<@brief PORT device name: PORTE */
#define BOARD_QSPIA_SCLK_PIN 1U                    /*!<@brief PORTE pin index: 1 */
#define BOARD_QSPIA_SCLK_CHANNEL A                 /*!<@brief QuadSPI0 SCLK channel: A */
#define BOARD_QSPIA_SCLK_PIN_NAME QSPI0A_SCLK      /*!<@brief Pin name */
#define BOARD_QSPIA_SCLK_LABEL "U11[6]/QSPIA_SCLK" /*!<@brief Label */
#define BOARD_QSPIA_SCLK_NAME "QSPIA_SCLK"         /*!<@brief Identifier name */
                                                   /* @} */

/*! @name PORTE5 (coord D2), U11[1]/QSPIA_SS
  @{ */
#define BOARD_QSPIA_SS_PERIPHERAL QuadSPI0     /*!<@brief Device name: QuadSPI0 */
#define BOARD_QSPIA_SS_SIGNAL SS0              /*!<@brief QuadSPI0 signal: SS0 */
#define BOARD_QSPIA_SS_PORT PORTE              /*!<@brief PORT device name: PORTE */
#define BOARD_QSPIA_SS_PIN 5U                  /*!<@brief PORTE pin index: 5 */
#define BOARD_QSPIA_SS_CHANNEL A               /*!<@brief QuadSPI0 SS0 channel: A */
#define BOARD_QSPIA_SS_PIN_NAME QSPI0A_SS0_B   /*!<@brief Pin name */
#define BOARD_QSPIA_SS_LABEL "U11[1]/QSPIA_SS" /*!<@brief Label */
#define BOARD_QSPIA_SS_NAME "QSPIA_SS"         /*!<@brief Identifier name */
                                               /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitQSPI_FLASH(void);

/*! @name USB1_VBUS (coord J2), J24[1]P5V0_USB_CONN_VBUS
  @{ */
#define BOARD_P5V_K28_USB_PERIPHERAL USBPHY                /*!<@brief Device name: USBPHY */
#define BOARD_P5V_K28_USB_SIGNAL VBUS                      /*!<@brief USBPHY signal: VBUS */
#define BOARD_P5V_K28_USB_PIN_NAME USB1_VBUS               /*!<@brief Pin name */
#define BOARD_P5V_K28_USB_LABEL "J24[1]P5V0_USB_CONN_VBUS" /*!<@brief Label */
#define BOARD_P5V_K28_USB_NAME "P5V_K28_USB"               /*!<@brief Identifier name */
                                                           /* @} */

/*! @name PORTA11 (coord M11), J24[4]TC_USB_ID
  @{ */
#define BOARD_USB_ID_PERIPHERAL USBPHY       /*!<@brief Device name: USBPHY */
#define BOARD_USB_ID_SIGNAL ID               /*!<@brief USBPHY signal: ID */
#define BOARD_USB_ID_PORT PORTA              /*!<@brief PORT device name: PORTA */
#define BOARD_USB_ID_PIN 11U                 /*!<@brief PORTA pin index: 11 */
#define BOARD_USB_ID_PIN_NAME USB1_ID        /*!<@brief Pin name */
#define BOARD_USB_ID_LABEL "J24[4]TC_USB_ID" /*!<@brief Label */
#define BOARD_USB_ID_NAME "USB_ID"           /*!<@brief Identifier name */
                                             /* @} */

/*! @name PORTA22 (coord K8), J27[7]/FXIO0_D6/PCLK
  @{ */
#define BOARD_USB0_CLKIN_PERIPHERAL USB0              /*!<@brief Device name: USB0 */
#define BOARD_USB0_CLKIN_SIGNAL CLKIN                 /*!<@brief USB0 signal: CLKIN */
#define BOARD_USB0_CLKIN_PORT PORTA                   /*!<@brief PORT device name: PORTA */
#define BOARD_USB0_CLKIN_PIN 22U                      /*!<@brief PORTA pin index: 22 */
#define BOARD_USB0_CLKIN_PIN_NAME USB0_CLKIN          /*!<@brief Pin name */
#define BOARD_USB0_CLKIN_LABEL "J27[7]/FXIO0_D6/PCLK" /*!<@brief Label */
#define BOARD_USB0_CLKIN_NAME "USB0_CLKIN"            /*!<@brief Identifier name */
                                                      /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitUSB(void);

/*! @name PORTA29 (coord H11), J19[P1]/SDHC0_D2
  @{ */
#define BOARD_SDHC0_D2_PERIPHERAL SDHC          /*!<@brief Device name: SDHC */
#define BOARD_SDHC0_D2_SIGNAL D                 /*!<@brief SDHC signal: D */
#define BOARD_SDHC0_D2_PORT PORTA               /*!<@brief PORT device name: PORTA */
#define BOARD_SDHC0_D2_PIN 29U                  /*!<@brief PORTA pin index: 29 */
#define BOARD_SDHC0_D2_CHANNEL 2                /*!<@brief SDHC D channel: 2 */
#define BOARD_SDHC0_D2_PIN_NAME SDHC0_D2        /*!<@brief Pin name */
#define BOARD_SDHC0_D2_LABEL "J19[P1]/SDHC0_D2" /*!<@brief Label */
#define BOARD_SDHC0_D2_NAME "SDHC0_D2"          /*!<@brief Identifier name */
                                                /* @} */

/*! @name PORTA28 (coord H12), J19[P2]/SDHC0_D3
  @{ */
#define BOARD_SDHC0_D3_PERIPHERAL SDHC          /*!<@brief Device name: SDHC */
#define BOARD_SDHC0_D3_SIGNAL D                 /*!<@brief SDHC signal: D */
#define BOARD_SDHC0_D3_PORT PORTA               /*!<@brief PORT device name: PORTA */
#define BOARD_SDHC0_D3_PIN 28U                  /*!<@brief PORTA pin index: 28 */
#define BOARD_SDHC0_D3_CHANNEL 3                /*!<@brief SDHC D channel: 3 */
#define BOARD_SDHC0_D3_PIN_NAME SDHC0_D3        /*!<@brief Pin name */
#define BOARD_SDHC0_D3_LABEL "J19[P2]/SDHC0_D3" /*!<@brief Label */
#define BOARD_SDHC0_D3_NAME "SDHC0_D3"          /*!<@brief Identifier name */
                                                /* @} */

/*! @name PORTA25 (coord J11), J19[P7]/SDHC0_D0
  @{ */
#define BOARD_SDHC0_D0_PERIPHERAL SDHC          /*!<@brief Device name: SDHC */
#define BOARD_SDHC0_D0_SIGNAL D                 /*!<@brief SDHC signal: D */
#define BOARD_SDHC0_D0_PORT PORTA               /*!<@brief PORT device name: PORTA */
#define BOARD_SDHC0_D0_PIN 25U                  /*!<@brief PORTA pin index: 25 */
#define BOARD_SDHC0_D0_CHANNEL 0                /*!<@brief SDHC D channel: 0 */
#define BOARD_SDHC0_D0_PIN_NAME SDHC0_D0        /*!<@brief Pin name */
#define BOARD_SDHC0_D0_LABEL "J19[P7]/SDHC0_D0" /*!<@brief Label */
#define BOARD_SDHC0_D0_NAME "SDHC0_D0"          /*!<@brief Identifier name */
                                                /* @} */

/*! @name PORTA24 (coord K11), J19[P8]/SDHC0_D1
  @{ */
#define BOARD_SDHC0_D1_PERIPHERAL SDHC          /*!<@brief Device name: SDHC */
#define BOARD_SDHC0_D1_SIGNAL D                 /*!<@brief SDHC signal: D */
#define BOARD_SDHC0_D1_PORT PORTA               /*!<@brief PORT device name: PORTA */
#define BOARD_SDHC0_D1_PIN 24U                  /*!<@brief PORTA pin index: 24 */
#define BOARD_SDHC0_D1_CHANNEL 1                /*!<@brief SDHC D channel: 1 */
#define BOARD_SDHC0_D1_PIN_NAME SDHC0_D1        /*!<@brief Pin name */
#define BOARD_SDHC0_D1_LABEL "J19[P8]/SDHC0_D1" /*!<@brief Label */
#define BOARD_SDHC0_D1_NAME "SDHC0_D1"          /*!<@brief Identifier name */
                                                /* @} */

/*! @name PORTA26 (coord J10), J19[P5]/SDHC0_DCLK
  @{ */
#define BOARD_SDHC0_DCLK_PERIPHERAL SDHC            /*!<@brief Device name: SDHC */
#define BOARD_SDHC0_DCLK_SIGNAL DCLK                /*!<@brief SDHC signal: DCLK */
#define BOARD_SDHC0_DCLK_PORT PORTA                 /*!<@brief PORT device name: PORTA */
#define BOARD_SDHC0_DCLK_PIN 26U                    /*!<@brief PORTA pin index: 26 */
#define BOARD_SDHC0_DCLK_PIN_NAME SDHC0_DCLK        /*!<@brief Pin name */
#define BOARD_SDHC0_DCLK_LABEL "J19[P5]/SDHC0_DCLK" /*!<@brief Label */
#define BOARD_SDHC0_DCLK_NAME "SDHC0_DCLK"          /*!<@brief Identifier name */
                                                    /* @} */

/*! @name PORTA27 (coord H13), J19[P3]/SDHC0_CMD
  @{ */
#define BOARD_SDHC0_CMD_PERIPHERAL SDHC           /*!<@brief Device name: SDHC */
#define BOARD_SDHC0_CMD_SIGNAL CMD                /*!<@brief SDHC signal: CMD */
#define BOARD_SDHC0_CMD_PORT PORTA                /*!<@brief PORT device name: PORTA */
#define BOARD_SDHC0_CMD_PIN 27U                   /*!<@brief PORTA pin index: 27 */
#define BOARD_SDHC0_CMD_PIN_NAME SDHC0_CMD        /*!<@brief Pin name */
#define BOARD_SDHC0_CMD_LABEL "J19[P3]/SDHC0_CMD" /*!<@brief Label */
#define BOARD_SDHC0_CMD_NAME "SDHC0_CMD"          /*!<@brief Identifier name */
                                                  /* @} */

/*! @name PORTB5 (coord F13), J19[G1]/SD_CARD_DETECT
  @{ */
#define BOARD_SDCARD_CARD_DETECTION_PERIPHERAL GPIOB                  /*!<@brief Device name: GPIOB */
#define BOARD_SDCARD_CARD_DETECTION_SIGNAL GPIO                       /*!<@brief GPIOB signal: GPIO */
#define BOARD_SDCARD_CARD_DETECTION_GPIO GPIOB                        /*!<@brief GPIO device name: GPIOB */
#define BOARD_SDCARD_CARD_DETECTION_GPIO_PIN 5U                       /*!<@brief PORTB pin index: 5 */
#define BOARD_SDCARD_CARD_DETECTION_PORT PORTB                        /*!<@brief PORT device name: PORTB */
#define BOARD_SDCARD_CARD_DETECTION_PIN 5U                            /*!<@brief PORTB pin index: 5 */
#define BOARD_SDCARD_CARD_DETECTION_CHANNEL 5                         /*!<@brief GPIOB GPIO channel: 5 */
#define BOARD_SDCARD_CARD_DETECTION_PIN_NAME PTB5                     /*!<@brief Pin name */
#define BOARD_SDCARD_CARD_DETECTION_LABEL "J19[G1]/SD_CARD_DETECT"    /*!<@brief Label */
#define BOARD_SDCARD_CARD_DETECTION_NAME "SDCARD_CARD_DETECTION"      /*!<@brief Identifier name */
#define BOARD_SDCARD_CARD_DETECTION_DIRECTION kPIN_MUX_DirectionInput /*!<@brief Direction */
                                                                      /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitSDHC0(void);

/*! @name ADC0_SE16 (coord N4), Q5[2]/LIGHT_SENSOR
  @{ */
#define BOARD_LIGHT_SENSOR_PERIPHERAL ADC0            /*!<@brief Device name: ADC0 */
#define BOARD_LIGHT_SENSOR_SIGNAL SE                  /*!<@brief ADC0 signal: SE */
#define BOARD_LIGHT_SENSOR_CHANNEL 16                 /*!<@brief ADC0 SE channel: 16 */
#define BOARD_LIGHT_SENSOR_PIN_NAME ADC0_SE16         /*!<@brief Pin name */
#define BOARD_LIGHT_SENSOR_LABEL "Q5[2]/LIGHT_SENSOR" /*!<@brief Label */
#define BOARD_LIGHT_SENSOR_NAME "LIGHT_SENSOR"        /*!<@brief Identifier name */
                                                      /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_Init_visible_light(void);

#define PORT_DFER_DFE_2_MASK 0x04u /*!<@brief Digital Filter Enable Mask for item 2. */
#define PORT_DFER_DFE_3_MASK 0x08u /*!<@brief Digital Filter Enable Mask for item 3. */
#define PORT_DFER_DFE_4_MASK 0x10u /*!<@brief Digital Filter Enable Mask for item 4. */
#define PORT_DFER_DFE_5_MASK 0x20u /*!<@brief Digital Filter Enable Mask for item 5. */
#define PORT_DFER_DFE_7_MASK 0x80u /*!<@brief Digital Filter Enable Mask for item 7. */

/*! @name PORTC7 (coord B10), U13[H7]/SDRAM_A16
  @{ */
#define BOARD_SDRAM_A16_PERIPHERAL SDRAM          /*!<@brief Device name: SDRAM */
#define BOARD_SDRAM_A16_SIGNAL A16                /*!<@brief SDRAM signal: A16 */
#define BOARD_SDRAM_A16_PORT PORTC                /*!<@brief PORT device name: PORTC */
#define BOARD_SDRAM_A16_PIN 7U                    /*!<@brief PORTC pin index: 7 */
#define BOARD_SDRAM_A16_PIN_NAME SDRAM_A16        /*!<@brief Pin name */
#define BOARD_SDRAM_A16_LABEL "U13[H7]/SDRAM_A16" /*!<@brief Label */
#define BOARD_SDRAM_A16_NAME "SDRAM_A16"          /*!<@brief Identifier name */
                                                  /* @} */

/*! @name PORTC8 (coord C10), U13[H8]/SDRAM_A15
  @{ */
#define BOARD_SDRAM_A15_PERIPHERAL SDRAM          /*!<@brief Device name: SDRAM */
#define BOARD_SDRAM_A15_SIGNAL A15                /*!<@brief SDRAM signal: A15 */
#define BOARD_SDRAM_A15_PORT PORTC                /*!<@brief PORT device name: PORTC */
#define BOARD_SDRAM_A15_PIN 8U                    /*!<@brief PORTC pin index: 8 */
#define BOARD_SDRAM_A15_PIN_NAME SDRAM_A15        /*!<@brief Pin name */
#define BOARD_SDRAM_A15_LABEL "U13[H8]/SDRAM_A15" /*!<@brief Label */
#define BOARD_SDRAM_A15_NAME "SDRAM_A15"          /*!<@brief Identifier name */
                                                  /* @} */

/*! @name PORTC9 (coord C9), U13[J8]/SDRAM_A14
  @{ */
#define BOARD_SDRAM_A14_PERIPHERAL SDRAM          /*!<@brief Device name: SDRAM */
#define BOARD_SDRAM_A14_SIGNAL A14                /*!<@brief SDRAM signal: A14 */
#define BOARD_SDRAM_A14_PORT PORTC                /*!<@brief PORT device name: PORTC */
#define BOARD_SDRAM_A14_PIN 9U                    /*!<@brief PORTC pin index: 9 */
#define BOARD_SDRAM_A14_PIN_NAME SDRAM_A14        /*!<@brief Pin name */
#define BOARD_SDRAM_A14_LABEL "U13[J8]/SDRAM_A14" /*!<@brief Label */
#define BOARD_SDRAM_A14_NAME "SDRAM_A14"          /*!<@brief Identifier name */
                                                  /* @} */

/*! @name PORTC10 (coord A8), U13[J7]/SDRAM_A13
  @{ */
#define BOARD_SDRAM_A13_PERIPHERAL SDRAM          /*!<@brief Device name: SDRAM */
#define BOARD_SDRAM_A13_SIGNAL A13                /*!<@brief SDRAM signal: A13 */
#define BOARD_SDRAM_A13_PORT PORTC                /*!<@brief PORT device name: PORTC */
#define BOARD_SDRAM_A13_PIN 10U                   /*!<@brief PORTC pin index: 10 */
#define BOARD_SDRAM_A13_PIN_NAME SDRAM_A13        /*!<@brief Pin name */
#define BOARD_SDRAM_A13_LABEL "U13[J7]/SDRAM_A13" /*!<@brief Label */
#define BOARD_SDRAM_A13_NAME "SDRAM_A13"          /*!<@brief Identifier name */
                                                  /* @} */

/*! @name PORTD2 (coord A4), U13[J3]/SDRAM_A12
  @{ */
#define BOARD_SDRAM_A12_PERIPHERAL SDRAM          /*!<@brief Device name: SDRAM */
#define BOARD_SDRAM_A12_SIGNAL A12                /*!<@brief SDRAM signal: A12 */
#define BOARD_SDRAM_A12_PORT PORTD                /*!<@brief PORT device name: PORTD */
#define BOARD_SDRAM_A12_PIN 2U                    /*!<@brief PORTD pin index: 2 */
#define BOARD_SDRAM_A12_PIN_NAME SDRAM_A12        /*!<@brief Pin name */
#define BOARD_SDRAM_A12_LABEL "U13[J3]/SDRAM_A12" /*!<@brief Label */
#define BOARD_SDRAM_A12_NAME "SDRAM_A12"          /*!<@brief Identifier name */
                                                  /* @} */

/*! @name PORTD3 (coord B4), U13[J2]/SDRAM_A11
  @{ */
#define BOARD_SDRAM_A11_PERIPHERAL SDRAM          /*!<@brief Device name: SDRAM */
#define BOARD_SDRAM_A11_SIGNAL A11                /*!<@brief SDRAM signal: A11 */
#define BOARD_SDRAM_A11_PORT PORTD                /*!<@brief PORT device name: PORTD */
#define BOARD_SDRAM_A11_PIN 3U                    /*!<@brief PORTD pin index: 3 */
#define BOARD_SDRAM_A11_PIN_NAME SDRAM_A11        /*!<@brief Pin name */
#define BOARD_SDRAM_A11_LABEL "U13[J2]/SDRAM_A11" /*!<@brief Label */
#define BOARD_SDRAM_A11_NAME "SDRAM_A11"          /*!<@brief Identifier name */
                                                  /* @} */

/*! @name PORTD4 (coord B5), U13[H3]/SDRAM_A10
  @{ */
#define BOARD_SDRAM_A10_PERIPHERAL SDRAM          /*!<@brief Device name: SDRAM */
#define BOARD_SDRAM_A10_SIGNAL A10                /*!<@brief SDRAM signal: A10 */
#define BOARD_SDRAM_A10_PORT PORTD                /*!<@brief PORT device name: PORTD */
#define BOARD_SDRAM_A10_PIN 4U                    /*!<@brief PORTD pin index: 4 */
#define BOARD_SDRAM_A10_PIN_NAME SDRAM_A10        /*!<@brief Pin name */
#define BOARD_SDRAM_A10_LABEL "U13[H3]/SDRAM_A10" /*!<@brief Label */
#define BOARD_SDRAM_A10_NAME "SDRAM_A10"          /*!<@brief Identifier name */
                                                  /* @} */

/*! @name PORTD5 (coord C4), U13[H2]/SDRAM_A9
  @{ */
#define BOARD_SDRAM_A9_PERIPHERAL SDRAM         /*!<@brief Device name: SDRAM */
#define BOARD_SDRAM_A9_SIGNAL A9                /*!<@brief SDRAM signal: A9 */
#define BOARD_SDRAM_A9_PORT PORTD               /*!<@brief PORT device name: PORTD */
#define BOARD_SDRAM_A9_PIN 5U                   /*!<@brief PORTD pin index: 5 */
#define BOARD_SDRAM_A9_PIN_NAME SDRAM_A9        /*!<@brief Pin name */
#define BOARD_SDRAM_A9_LABEL "U13[H2]/SDRAM_A9" /*!<@brief Label */
#define BOARD_SDRAM_A9_NAME "SDRAM_A9"          /*!<@brief Identifier name */
                                                /* @} */

/*! @name PORTC5 (coord A11), U13[H1]/SDRAM_A18
  @{ */
#define BOARD_SDRAM_A18_PERIPHERAL SDRAM          /*!<@brief Device name: SDRAM */
#define BOARD_SDRAM_A18_SIGNAL A18                /*!<@brief SDRAM signal: A18 */
#define BOARD_SDRAM_A18_PORT PORTC                /*!<@brief PORT device name: PORTC */
#define BOARD_SDRAM_A18_PIN 5U                    /*!<@brief PORTC pin index: 5 */
#define BOARD_SDRAM_A18_PIN_NAME SDRAM_A18        /*!<@brief Pin name */
#define BOARD_SDRAM_A18_LABEL "U13[H1]/SDRAM_A18" /*!<@brief Label */
#define BOARD_SDRAM_A18_NAME "SDRAM_A18"          /*!<@brief Identifier name */
                                                  /* @} */

/*! @name PORTC4 (coord B11), U13[G3]/SDRAM_A19
  @{ */
#define BOARD_SDRAM_A19_PERIPHERAL SDRAM          /*!<@brief Device name: SDRAM */
#define BOARD_SDRAM_A19_SIGNAL A19                /*!<@brief SDRAM signal: A19 */
#define BOARD_SDRAM_A19_PORT PORTC                /*!<@brief PORT device name: PORTC */
#define BOARD_SDRAM_A19_PIN 4U                    /*!<@brief PORTC pin index: 4 */
#define BOARD_SDRAM_A19_PIN_NAME SDRAM_A19        /*!<@brief Pin name */
#define BOARD_SDRAM_A19_LABEL "U13[G3]/SDRAM_A19" /*!<@brief Label */
#define BOARD_SDRAM_A19_NAME "SDRAM_A19"          /*!<@brief Identifier name */
                                                  /* @} */

/*! @name PORTC2 (coord A13), U13[H9]/SDRAM_A20
  @{ */
#define BOARD_SDRAM_A20_PERIPHERAL SDRAM          /*!<@brief Device name: SDRAM */
#define BOARD_SDRAM_A20_SIGNAL A20                /*!<@brief SDRAM signal: A20 */
#define BOARD_SDRAM_A20_PORT PORTC                /*!<@brief PORT device name: PORTC */
#define BOARD_SDRAM_A20_PIN 2U                    /*!<@brief PORTC pin index: 2 */
#define BOARD_SDRAM_A20_PIN_NAME SDRAM_A20        /*!<@brief Pin name */
#define BOARD_SDRAM_A20_LABEL "U13[H9]/SDRAM_A20" /*!<@brief Label */
#define BOARD_SDRAM_A20_NAME "SDRAM_A20"          /*!<@brief Identifier name */
                                                  /* @} */

/*! @name PORTC1 (coord B12), U13[G2]/SDRAM_A21
  @{ */
#define BOARD_SDRAM_A21_PERIPHERAL SDRAM          /*!<@brief Device name: SDRAM */
#define BOARD_SDRAM_A21_SIGNAL A21                /*!<@brief SDRAM signal: A21 */
#define BOARD_SDRAM_A21_PORT PORTC                /*!<@brief PORT device name: PORTC */
#define BOARD_SDRAM_A21_PIN 1U                    /*!<@brief PORTC pin index: 1 */
#define BOARD_SDRAM_A21_PIN_NAME SDRAM_A21        /*!<@brief Pin name */
#define BOARD_SDRAM_A21_LABEL "U13[G2]/SDRAM_A21" /*!<@brief Label */
#define BOARD_SDRAM_A21_NAME "SDRAM_A21"          /*!<@brief Identifier name */
                                                  /* @} */

/*! @name PORTC0 (coord B13), U13[G7]/SDRAM_A22
  @{ */
#define BOARD_SDRAM_A22_PERIPHERAL SDRAM          /*!<@brief Device name: SDRAM */
#define BOARD_SDRAM_A22_SIGNAL A22                /*!<@brief SDRAM signal: A22 */
#define BOARD_SDRAM_A22_PORT PORTC                /*!<@brief PORT device name: PORTC */
#define BOARD_SDRAM_A22_PIN 0U                    /*!<@brief PORTC pin index: 0 */
#define BOARD_SDRAM_A22_PIN_NAME SDRAM_A22        /*!<@brief Pin name */
#define BOARD_SDRAM_A22_LABEL "U13[G7]/SDRAM_A22" /*!<@brief Label */
#define BOARD_SDRAM_A22_NAME "SDRAM_A22"          /*!<@brief Identifier name */
                                                  /* @} */

/*! @name PORTB18 (coord D12), U13[G8]/SDRAM_A23
  @{ */
#define BOARD_SDRAM_A23_PERIPHERAL SDRAM          /*!<@brief Device name: SDRAM */
#define BOARD_SDRAM_A23_SIGNAL A23                /*!<@brief SDRAM signal: A23 */
#define BOARD_SDRAM_A23_PORT PORTB                /*!<@brief PORT device name: PORTB */
#define BOARD_SDRAM_A23_PIN 18U                   /*!<@brief PORTB pin index: 18 */
#define BOARD_SDRAM_A23_PIN_NAME SDRAM_A23        /*!<@brief Pin name */
#define BOARD_SDRAM_A23_LABEL "U13[G8]/SDRAM_A23" /*!<@brief Label */
#define BOARD_SDRAM_A23_NAME "SDRAM_A23"          /*!<@brief Identifier name */
                                                  /* @} */

/*! @name PORTB1 (coord G12), U13[F8]/SDRAM_RAS_b
  @{ */
#define BOARD_SDRAM_RAS_b_PERIPHERAL SDRAM            /*!<@brief Device name: SDRAM */
#define BOARD_SDRAM_RAS_b_SIGNAL RAS                  /*!<@brief SDRAM signal: RAS */
#define BOARD_SDRAM_RAS_b_PORT PORTB                  /*!<@brief PORT device name: PORTB */
#define BOARD_SDRAM_RAS_b_PIN 1U                      /*!<@brief PORTB pin index: 1 */
#define BOARD_SDRAM_RAS_b_PIN_NAME SDRAM_RAS_b        /*!<@brief Pin name */
#define BOARD_SDRAM_RAS_b_LABEL "U13[F8]/SDRAM_RAS_b" /*!<@brief Label */
#define BOARD_SDRAM_RAS_b_NAME "SDRAM_RAS_b"          /*!<@brief Identifier name */
                                                      /* @} */

/*! @name PORTB0 (coord G13), U13[F7]/SDRAM_CAS_b
  @{ */
#define BOARD_SDRAM_CAS_b_PERIPHERAL SDRAM            /*!<@brief Device name: SDRAM */
#define BOARD_SDRAM_CAS_b_SIGNAL CAS                  /*!<@brief SDRAM signal: CAS */
#define BOARD_SDRAM_CAS_b_PORT PORTB                  /*!<@brief PORT device name: PORTB */
#define BOARD_SDRAM_CAS_b_PIN 0U                      /*!<@brief PORTB pin index: 0 */
#define BOARD_SDRAM_CAS_b_PIN_NAME SDRAM_CAS_b        /*!<@brief Pin name */
#define BOARD_SDRAM_CAS_b_LABEL "U13[F7]/SDRAM_CAS_b" /*!<@brief Label */
#define BOARD_SDRAM_CAS_b_NAME "SDRAM_CAS_b"          /*!<@brief Identifier name */
                                                      /* @} */

/*! @name PORTB2 (coord G11), U13[F9]/SDRAM_WE_b
  @{ */
#define BOARD_SDRAM_WE_b_PERIPHERAL SDRAM           /*!<@brief Device name: SDRAM */
#define BOARD_SDRAM_WE_b_SIGNAL WE                  /*!<@brief SDRAM signal: WE */
#define BOARD_SDRAM_WE_b_PORT PORTB                 /*!<@brief PORT device name: PORTB */
#define BOARD_SDRAM_WE_b_PIN 2U                     /*!<@brief PORTB pin index: 2 */
#define BOARD_SDRAM_WE_b_PIN_NAME SDRAM_WE_b        /*!<@brief Pin name */
#define BOARD_SDRAM_WE_b_LABEL "U13[F9]/SDRAM_WE_b" /*!<@brief Label */
#define BOARD_SDRAM_WE_b_NAME "SDRAM_WE_b"          /*!<@brief Identifier name */
                                                    /* @} */

/*! @name PORTB3 (coord G10), U13[G9]/SDRAM_CS0_b
  @{ */
#define BOARD_SDRAM_CS0_b_PERIPHERAL SDRAM            /*!<@brief Device name: SDRAM */
#define BOARD_SDRAM_CS0_b_SIGNAL CS0                  /*!<@brief SDRAM signal: CS0 */
#define BOARD_SDRAM_CS0_b_PORT PORTB                  /*!<@brief PORT device name: PORTB */
#define BOARD_SDRAM_CS0_b_PIN 3U                      /*!<@brief PORTB pin index: 3 */
#define BOARD_SDRAM_CS0_b_PIN_NAME SDRAM_CS0_b        /*!<@brief Pin name */
#define BOARD_SDRAM_CS0_b_LABEL "U13[G9]/SDRAM_CS0_b" /*!<@brief Label */
#define BOARD_SDRAM_CS0_b_NAME "SDRAM_CS0_b"          /*!<@brief Identifier name */
                                                      /* @} */

/*! @name PORTC17 (coord E7), U13[F1]/SDRAM_DQM3
  @{ */
#define BOARD_SDRAM_DQM3_PERIPHERAL SDRAM           /*!<@brief Device name: SDRAM */
#define BOARD_SDRAM_DQM3_SIGNAL DQM3                /*!<@brief SDRAM signal: DQM3 */
#define BOARD_SDRAM_DQM3_PORT PORTC                 /*!<@brief PORT device name: PORTC */
#define BOARD_SDRAM_DQM3_PIN 17U                    /*!<@brief PORTC pin index: 17 */
#define BOARD_SDRAM_DQM3_PIN_NAME SDRAM_DQM3        /*!<@brief Pin name */
#define BOARD_SDRAM_DQM3_LABEL "U13[F1]/SDRAM_DQM3" /*!<@brief Label */
#define BOARD_SDRAM_DQM3_NAME "SDRAM_DQM3"          /*!<@brief Identifier name */
                                                    /* @} */

/*! @name PORTC16 (coord E8), U13[E8]/SDRAM_DQM2
  @{ */
#define BOARD_SDRAM_DQM2_PERIPHERAL SDRAM           /*!<@brief Device name: SDRAM */
#define BOARD_SDRAM_DQM2_SIGNAL DQM2                /*!<@brief SDRAM signal: DQM2 */
#define BOARD_SDRAM_DQM2_PORT PORTC                 /*!<@brief PORT device name: PORTC */
#define BOARD_SDRAM_DQM2_PIN 16U                    /*!<@brief PORTC pin index: 16 */
#define BOARD_SDRAM_DQM2_PIN_NAME SDRAM_DQM2        /*!<@brief Pin name */
#define BOARD_SDRAM_DQM2_LABEL "U13[E8]/SDRAM_DQM2" /*!<@brief Label */
#define BOARD_SDRAM_DQM2_NAME "SDRAM_DQM2"          /*!<@brief Identifier name */
                                                    /* @} */

/*! @name PORTC3 (coord A12), U13[F2]/CLKOUT
  @{ */
#define BOARD_CLKOUT_PERIPHERAL SDRAM       /*!<@brief Device name: SDRAM */
#define BOARD_CLKOUT_SIGNAL CLKOUT          /*!<@brief SDRAM signal: CLKOUT */
#define BOARD_CLKOUT_PORT PORTC             /*!<@brief PORT device name: PORTC */
#define BOARD_CLKOUT_PIN 3U                 /*!<@brief PORTC pin index: 3 */
#define BOARD_CLKOUT_PIN_NAME CLKOUT        /*!<@brief Pin name */
#define BOARD_CLKOUT_LABEL "U13[F2]/CLKOUT" /*!<@brief Label */
#define BOARD_CLKOUT_NAME "CLKOUT"          /*!<@brief Identifier name */
                                            /* @} */

/*! @name PORTD7 (coord E5), U13[F3]/SDRAM_CKE
  @{ */
#define BOARD_SDRAM_CKE_PERIPHERAL SDRAM          /*!<@brief Device name: SDRAM */
#define BOARD_SDRAM_CKE_SIGNAL CKE                /*!<@brief SDRAM signal: CKE */
#define BOARD_SDRAM_CKE_PORT PORTD                /*!<@brief PORT device name: PORTD */
#define BOARD_SDRAM_CKE_PIN 7U                    /*!<@brief PORTD pin index: 7 */
#define BOARD_SDRAM_CKE_PIN_NAME SDRAM_CKE        /*!<@brief Pin name */
#define BOARD_SDRAM_CKE_LABEL "U13[F3]/SDRAM_CKE" /*!<@brief Label */
#define BOARD_SDRAM_CKE_NAME "SDRAM_CKE"          /*!<@brief Identifier name */
                                                  /* @} */

/*! @name PORTB20 (coord D10), U13[A2]/SDRAM_D31
  @{ */
#define BOARD_SDRAM_D31_PERIPHERAL SDRAM          /*!<@brief Device name: SDRAM */
#define BOARD_SDRAM_D31_SIGNAL D31                /*!<@brief SDRAM signal: D31 */
#define BOARD_SDRAM_D31_PORT PORTB                /*!<@brief PORT device name: PORTB */
#define BOARD_SDRAM_D31_PIN 20U                   /*!<@brief PORTB pin index: 20 */
#define BOARD_SDRAM_D31_PIN_NAME SDRAM_D31        /*!<@brief Pin name */
#define BOARD_SDRAM_D31_LABEL "U13[A2]/SDRAM_D31" /*!<@brief Label */
#define BOARD_SDRAM_D31_NAME "SDRAM_D31"          /*!<@brief Identifier name */
                                                  /* @} */

/*! @name PORTB21 (coord D9), U13[B1]/SDRAM_D30
  @{ */
#define BOARD_SDRAM_D30_PERIPHERAL SDRAM          /*!<@brief Device name: SDRAM */
#define BOARD_SDRAM_D30_SIGNAL D30                /*!<@brief SDRAM signal: D30 */
#define BOARD_SDRAM_D30_PORT PORTB                /*!<@brief PORT device name: PORTB */
#define BOARD_SDRAM_D30_PIN 21U                   /*!<@brief PORTB pin index: 21 */
#define BOARD_SDRAM_D30_PIN_NAME SDRAM_D30        /*!<@brief Pin name */
#define BOARD_SDRAM_D30_LABEL "U13[B1]/SDRAM_D30" /*!<@brief Label */
#define BOARD_SDRAM_D30_NAME "SDRAM_D30"          /*!<@brief Identifier name */
                                                  /* @} */

/*! @name PORTB17 (coord D13), U13[A8]/SDRAM_D16
  @{ */
#define BOARD_SDRAM_D16_PERIPHERAL SDRAM          /*!<@brief Device name: SDRAM */
#define BOARD_SDRAM_D16_SIGNAL D16                /*!<@brief SDRAM signal: D16 */
#define BOARD_SDRAM_D16_PORT PORTB                /*!<@brief PORT device name: PORTB */
#define BOARD_SDRAM_D16_PIN 17U                   /*!<@brief PORTB pin index: 17 */
#define BOARD_SDRAM_D16_PIN_NAME SDRAM_D16        /*!<@brief Pin name */
#define BOARD_SDRAM_D16_LABEL "U13[A8]/SDRAM_D16" /*!<@brief Label */
#define BOARD_SDRAM_D16_NAME "SDRAM_D16"          /*!<@brief Identifier name */
                                                  /* @} */

/*! @name PORTB16 (coord F8), U13[B9]/SDRAM_D17
  @{ */
#define BOARD_SDRAM_D17_PERIPHERAL SDRAM          /*!<@brief Device name: SDRAM */
#define BOARD_SDRAM_D17_SIGNAL D17                /*!<@brief SDRAM signal: D17 */
#define BOARD_SDRAM_D17_PORT PORTB                /*!<@brief PORT device name: PORTB */
#define BOARD_SDRAM_D17_PIN 16U                   /*!<@brief PORTB pin index: 16 */
#define BOARD_SDRAM_D17_PIN_NAME SDRAM_D17        /*!<@brief Pin name */
#define BOARD_SDRAM_D17_LABEL "U13[B9]/SDRAM_D17" /*!<@brief Label */
#define BOARD_SDRAM_D17_NAME "SDRAM_D17"          /*!<@brief Identifier name */
                                                  /* @} */

/*! @name PORTB11 (coord E13), U13[B8]/SDRAM_D18
  @{ */
#define BOARD_SDRAM_D18_PERIPHERAL SDRAM          /*!<@brief Device name: SDRAM */
#define BOARD_SDRAM_D18_SIGNAL D18                /*!<@brief SDRAM signal: D18 */
#define BOARD_SDRAM_D18_PORT PORTB                /*!<@brief PORT device name: PORTB */
#define BOARD_SDRAM_D18_PIN 11U                   /*!<@brief PORTB pin index: 11 */
#define BOARD_SDRAM_D18_PIN_NAME SDRAM_D18        /*!<@brief Pin name */
#define BOARD_SDRAM_D18_LABEL "U13[B8]/SDRAM_D18" /*!<@brief Label */
#define BOARD_SDRAM_D18_NAME "SDRAM_D18"          /*!<@brief Identifier name */
                                                  /* @} */

/*! @name PORTB10 (coord G9), U13[C9]/SDRAM_D19
  @{ */
#define BOARD_SDRAM_D19_PERIPHERAL SDRAM          /*!<@brief Device name: SDRAM */
#define BOARD_SDRAM_D19_SIGNAL D19                /*!<@brief SDRAM signal: D19 */
#define BOARD_SDRAM_D19_PORT PORTB                /*!<@brief PORT device name: PORTB */
#define BOARD_SDRAM_D19_PIN 10U                   /*!<@brief PORTB pin index: 10 */
#define BOARD_SDRAM_D19_PIN_NAME SDRAM_D19        /*!<@brief Pin name */
#define BOARD_SDRAM_D19_LABEL "U13[C9]/SDRAM_D19" /*!<@brief Label */
#define BOARD_SDRAM_D19_NAME "SDRAM_D19"          /*!<@brief Identifier name */
                                                  /* @} */

/*! @name PORTB9 (coord F9), U13[C8]/SDRAM_D20
  @{ */
#define BOARD_SDRAM_D20_PERIPHERAL SDRAM          /*!<@brief Device name: SDRAM */
#define BOARD_SDRAM_D20_SIGNAL D20                /*!<@brief SDRAM signal: D20 */
#define BOARD_SDRAM_D20_PORT PORTB                /*!<@brief PORT device name: PORTB */
#define BOARD_SDRAM_D20_PIN 9U                    /*!<@brief PORTB pin index: 9 */
#define BOARD_SDRAM_D20_PIN_NAME SDRAM_D20        /*!<@brief Pin name */
#define BOARD_SDRAM_D20_LABEL "U13[C8]/SDRAM_D20" /*!<@brief Label */
#define BOARD_SDRAM_D20_NAME "SDRAM_D20"          /*!<@brief Identifier name */
                                                  /* @} */

/*! @name PORTB8 (coord F10), U13[D9]/SDRAM_D21
  @{ */
#define BOARD_SDRAM_D21_PERIPHERAL SDRAM          /*!<@brief Device name: SDRAM */
#define BOARD_SDRAM_D21_SIGNAL D21                /*!<@brief SDRAM signal: D21 */
#define BOARD_SDRAM_D21_PORT PORTB                /*!<@brief PORT device name: PORTB */
#define BOARD_SDRAM_D21_PIN 8U                    /*!<@brief PORTB pin index: 8 */
#define BOARD_SDRAM_D21_PIN_NAME SDRAM_D21        /*!<@brief Pin name */
#define BOARD_SDRAM_D21_LABEL "U13[D9]/SDRAM_D21" /*!<@brief Label */
#define BOARD_SDRAM_D21_NAME "SDRAM_D21"          /*!<@brief Identifier name */
                                                  /* @} */

/*! @name PORTB7 (coord F11), U13[D8]/SDRAM_D22
  @{ */
#define BOARD_SDRAM_D22_PERIPHERAL SDRAM          /*!<@brief Device name: SDRAM */
#define BOARD_SDRAM_D22_SIGNAL D22                /*!<@brief SDRAM signal: D22 */
#define BOARD_SDRAM_D22_PORT PORTB                /*!<@brief PORT device name: PORTB */
#define BOARD_SDRAM_D22_PIN 7U                    /*!<@brief PORTB pin index: 7 */
#define BOARD_SDRAM_D22_PIN_NAME SDRAM_D22        /*!<@brief Pin name */
#define BOARD_SDRAM_D22_LABEL "U13[D8]/SDRAM_D22" /*!<@brief Label */
#define BOARD_SDRAM_D22_NAME "SDRAM_D22"          /*!<@brief Identifier name */
                                                  /* @} */

/*! @name PORTB6 (coord F12), U13[E9]/SDRAM_D23
  @{ */
#define BOARD_SDRAM_D23_PERIPHERAL SDRAM          /*!<@brief Device name: SDRAM */
#define BOARD_SDRAM_D23_SIGNAL D23                /*!<@brief SDRAM signal: D23 */
#define BOARD_SDRAM_D23_PORT PORTB                /*!<@brief PORT device name: PORTB */
#define BOARD_SDRAM_D23_PIN 6U                    /*!<@brief PORTB pin index: 6 */
#define BOARD_SDRAM_D23_PIN_NAME SDRAM_D23        /*!<@brief Pin name */
#define BOARD_SDRAM_D23_LABEL "U13[E9]/SDRAM_D23" /*!<@brief Label */
#define BOARD_SDRAM_D23_NAME "SDRAM_D23"          /*!<@brief Identifier name */
                                                  /* @} */

/*! @name PORTC15 (coord D8), U13[E1]/SDRAM_D24
  @{ */
#define BOARD_SDRAM_D24_PERIPHERAL SDRAM          /*!<@brief Device name: SDRAM */
#define BOARD_SDRAM_D24_SIGNAL D24                /*!<@brief SDRAM signal: D24 */
#define BOARD_SDRAM_D24_PORT PORTC                /*!<@brief PORT device name: PORTC */
#define BOARD_SDRAM_D24_PIN 15U                   /*!<@brief PORTC pin index: 15 */
#define BOARD_SDRAM_D24_PIN_NAME SDRAM_D24        /*!<@brief Pin name */
#define BOARD_SDRAM_D24_LABEL "U13[E1]/SDRAM_D24" /*!<@brief Label */
#define BOARD_SDRAM_D24_NAME "SDRAM_D24"          /*!<@brief Identifier name */
                                                  /* @} */

/*! @name PORTC14 (coord C8), U13[D2]/SDRAM_D25
  @{ */
#define BOARD_SDRAM_D25_PERIPHERAL SDRAM          /*!<@brief Device name: SDRAM */
#define BOARD_SDRAM_D25_SIGNAL D25                /*!<@brief SDRAM signal: D25 */
#define BOARD_SDRAM_D25_PORT PORTC                /*!<@brief PORT device name: PORTC */
#define BOARD_SDRAM_D25_PIN 14U                   /*!<@brief PORTC pin index: 14 */
#define BOARD_SDRAM_D25_PIN_NAME SDRAM_D25        /*!<@brief Pin name */
#define BOARD_SDRAM_D25_LABEL "U13[D2]/SDRAM_D25" /*!<@brief Label */
#define BOARD_SDRAM_D25_NAME "SDRAM_D25"          /*!<@brief Identifier name */
                                                  /* @} */

/*! @name PORTC13 (coord B8), U13[D1]/SDRAM_D26
  @{ */
#define BOARD_SDRAM_D26_PERIPHERAL SDRAM          /*!<@brief Device name: SDRAM */
#define BOARD_SDRAM_D26_SIGNAL D26                /*!<@brief SDRAM signal: D26 */
#define BOARD_SDRAM_D26_PORT PORTC                /*!<@brief PORT device name: PORTC */
#define BOARD_SDRAM_D26_PIN 13U                   /*!<@brief PORTC pin index: 13 */
#define BOARD_SDRAM_D26_PIN_NAME SDRAM_D26        /*!<@brief Pin name */
#define BOARD_SDRAM_D26_LABEL "U13[D1]/SDRAM_D26" /*!<@brief Label */
#define BOARD_SDRAM_D26_NAME "SDRAM_D26"          /*!<@brief Identifier name */
                                                  /* @} */

/*! @name PORTC12 (coord B9), U13[C2]/SDRAM_D27
  @{ */
#define BOARD_SDRAM_D27_PERIPHERAL SDRAM          /*!<@brief Device name: SDRAM */
#define BOARD_SDRAM_D27_SIGNAL D27                /*!<@brief SDRAM signal: D27 */
#define BOARD_SDRAM_D27_PORT PORTC                /*!<@brief PORT device name: PORTC */
#define BOARD_SDRAM_D27_PIN 12U                   /*!<@brief PORTC pin index: 12 */
#define BOARD_SDRAM_D27_PIN_NAME SDRAM_D27        /*!<@brief Pin name */
#define BOARD_SDRAM_D27_LABEL "U13[C2]/SDRAM_D27" /*!<@brief Label */
#define BOARD_SDRAM_D27_NAME "SDRAM_D27"          /*!<@brief Identifier name */
                                                  /* @} */

/*! @name PORTB23 (coord C12), U13[C1]/SDRAM_D28
  @{ */
#define BOARD_SDRAM_D28_PERIPHERAL SDRAM          /*!<@brief Device name: SDRAM */
#define BOARD_SDRAM_D28_SIGNAL D28                /*!<@brief SDRAM signal: D28 */
#define BOARD_SDRAM_D28_PORT PORTB                /*!<@brief PORT device name: PORTB */
#define BOARD_SDRAM_D28_PIN 23U                   /*!<@brief PORTB pin index: 23 */
#define BOARD_SDRAM_D28_PIN_NAME SDRAM_D28        /*!<@brief Pin name */
#define BOARD_SDRAM_D28_LABEL "U13[C1]/SDRAM_D28" /*!<@brief Label */
#define BOARD_SDRAM_D28_NAME "SDRAM_D28"          /*!<@brief Identifier name */
                                                  /* @} */

/*! @name PORTB22 (coord C13), U13[B2]/SDRAM_D29
  @{ */
#define BOARD_SDRAM_D29_PERIPHERAL SDRAM          /*!<@brief Device name: SDRAM */
#define BOARD_SDRAM_D29_SIGNAL D29                /*!<@brief SDRAM signal: D29 */
#define BOARD_SDRAM_D29_PORT PORTB                /*!<@brief PORT device name: PORTB */
#define BOARD_SDRAM_D29_PIN 22U                   /*!<@brief PORTB pin index: 22 */
#define BOARD_SDRAM_D29_PIN_NAME SDRAM_D29        /*!<@brief Pin name */
#define BOARD_SDRAM_D29_LABEL "U13[B2]/SDRAM_D29" /*!<@brief Label */
#define BOARD_SDRAM_D29_NAME "SDRAM_D29"          /*!<@brief Identifier name */
                                                  /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitSDRAM(void);

#if defined(__cplusplus)
}
#endif

/*!
 * @}
 */
#endif /* _PIN_MUX_H_ */

/***********************************************************************************************************************
 * EOF
 **********************************************************************************************************************/
